Please help us to make AbanteCart Ideal Open Source Ecommerce Solution for everyone.

Support AbanteCart eCommerce

Author Topic: Core upgrade to 1.2.2 failed.  (Read 5008 times)

Offline thedarksyde

  • Full Member
  • ***
  • Posts: 131
  • Karma: +7/-1
    • View Profile
Core upgrade to 1.2.2 failed.
« on: May 26, 2015, 11:07:22 AM »
It did not break anything.  It does not complete.   Here is the error messages created when the core upgrade was attempted.

2015-05-26 10:02:15 - warning: AbanteCart core v.1.2.1 mysql_query(): 81 is not a valid MySQL-Link resource in <b>/home1/darksyde/public_html/core/database/mysql.php</b> on line <b>74</b>
2015-05-26 10:02:15 - warning: AbanteCart core v.1.2.1 mysql_error(): 81 is not a valid MySQL-Link resource in <b>/home1/darksyde/public_html/core/database/mysql.php</b> on line <b>114</b>
2015-05-26 10:02:15 - warning: AbanteCart core v.1.2.1 mysql_errno(): 81 is not a valid MySQL-Link resource in <b>/home1/darksyde/public_html/core/database/mysql.php</b> on line <b>114</b>
2015-05-26 10:02:15 - database error: AbanteCart core v.1.2.1 Error:
Error No:
SHOW TABLES FROM `darksyde_localhost` in <b>/home1/darksyde/public_html/core/database/mysql.php</b> on line <b>114</b>

Offline webdevmerc

  • Full Member
  • ***
  • Posts: 172
  • Karma: +32/-1
    • View Profile
Re: Core upgrade to 1.2.2 failed.
« Reply #1 on: May 26, 2015, 01:48:16 PM »
I don't think the upgrade version is available yet:
http://www.abantecart.com/shopping-cart-news

"
What about older versions?
Core upgrade from 1.2.1 to new version 1.2.2 will available shortly. All extensions for prior 1.2 should be compatible with 1.2.2
"

Offline thedarksyde

  • Full Member
  • ***
  • Posts: 131
  • Karma: +7/-1
    • View Profile
Re: Core upgrade to 1.2.2 failed.
« Reply #2 on: May 26, 2015, 02:17:47 PM »
It appeared in my dashboard today.  The email was there with the link to upgrade and it attempted it and then I got an error message and to check the logs and that was what was in the logs.

Offline webdevmerc

  • Full Member
  • ***
  • Posts: 172
  • Karma: +32/-1
    • View Profile
Re: Core upgrade to 1.2.2 failed.
« Reply #3 on: May 26, 2015, 04:58:21 PM »
Yeah, I did the same thing as you...clicked upgrade and got the same errors.  It's just not supposed to work yet...since I'm not live, I just blew my existing site and re-installed the latest version...problem solved. :)

Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 4139
  • Karma: +250/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: Core upgrade to 1.2.2 failed.
« Reply #4 on: May 27, 2015, 11:52:16 AM »
I don't think the upgrade version is available yet:
http://www.abantecart.com/shopping-cart-news

"
What about older versions?
Core upgrade from 1.2.1 to new version 1.2.2 will available shortly. All extensions for prior 1.2 should be compatible with 1.2.2
"
Upgrades are usually announced inside of admin section via messaging 2-3 days after the release.
 
We need your help to build better free open source eCommerce platform for everyone.
See how you can help

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1769
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Core upgrade to 1.2.2 failed.
« Reply #5 on: May 27, 2015, 12:11:22 PM »

The cause of this error is in permissions of your database user.
To solve it you should grant permissions on views.
Use Database User management of your hosting provider Control Panel to do this.
You should checkmark  SHOW VIEWS for Database user otherwise automatic backup process will not work.

“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline thedarksyde

  • Full Member
  • ***
  • Posts: 131
  • Karma: +7/-1
    • View Profile
Re: Core upgrade to 1.2.2 failed.
« Reply #6 on: May 27, 2015, 12:29:15 PM »

The cause of this error is in permissions of your database user.
To solve it you should grant permissions on views.
Use Database User management of your hosting provider Control Panel to do this.
You should checkmark  SHOW VIEWS for Database user otherwise automatic backup process will not work.

All privileges for my only DB user are active, including Show Views.  This error occured with those settings.   I have not changed DB settings for the user. 

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1769
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Core upgrade to 1.2.2 failed.
« Reply #7 on: May 27, 2015, 03:03:09 PM »
i need more details such as:
- do you tried to upgrade on your local or remote host?
- version of php?
- version of mysql?
- what mysql driver do you use, (mysql or amysqli (see config.php))? if mysql you can try to rename it to amysqli and try
- is there any errors in apache.log (httpd.log) ?
i missed that your sql call error after unable to create mysql handler. That mean connection to database was not created. Probably you have some security restriction.


“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline thedarksyde

  • Full Member
  • ***
  • Posts: 131
  • Karma: +7/-1
    • View Profile
Re: Core upgrade to 1.2.2 failed.
« Reply #8 on: May 27, 2015, 07:47:19 PM »
I tried to upgrade using the dashboard core upgrade. 

Server: Localhost via UNIX socket
Server type: Percona Server
Server version: 5.5.42-37.1 - Percona Server (GPL), Release 37.1, Revision 727
Protocol version: 10
Server charset: UTF-8 Unicode (utf8)

cpsrvd 11.44.3.5
Database client version: libmysql - 5.1.73
PHP extension: mysqli

phpMyAdmin

Version information: 4.3.8, latest stable version: 4.4.7
The PHP System Default Version is 5.4


Database Driver is mysql.  I could try to change it to amysqli if you think that is the best step. 



I don't see Apache.log or httpd.log  are those in my HTTP file set or somewhere else?




« Last Edit: May 27, 2015, 07:49:54 PM by thedarksyde »

Offline thedarksyde

  • Full Member
  • ***
  • Posts: 131
  • Karma: +7/-1
    • View Profile
Re: Core upgrade to 1.2.2 failed.
« Reply #9 on: May 27, 2015, 07:55:06 PM »
Looks like changing config.php to amysqli  worked.  It updated.  Thank you. 

Offline thedarksyde

  • Full Member
  • ***
  • Posts: 131
  • Karma: +7/-1
    • View Profile
Re: Core upgrade to 1.2.2 failed.
« Reply #10 on: May 28, 2015, 09:36:32 AM »
Can anyone explain to me why this worked?  I would like to understand it. 

 

Powered by SMFPacks Social Login Mod